Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network27.224.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
27.224.0.0
Broadcast address
27.255.255.255
First usable
27.224.0.1
Last usable
27.255.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 1BE00000 · Integer 467664896 to 469762047
Reverse DNS zones
224.27.in-addr.arpa
225.27.in-addr.arpa
226.27.in-addr.arpa
227.27.in-addr.arpa
228.27.in-addr.arpa
229.27.in-addr.arpa
230.27.in-addr.arpa
231.27.in-addr.arpa
232.27.in-addr.arpa
233.27.in-addr.arpa
234.27.in-addr.arpa
235.27.in-addr.arpa
236.27.in-addr.arpa
237.27.in-addr.arpa
238.27.in-addr.arpa
239.27.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011011.11100000.00000000.0000000027.224.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011011.11100000.00000000.0000000027.224.0.0
Broadcast00011011.11111111.11111111.1111111127.255.255.255
Split into smaller subnets/18

27.224.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
127.224.0.0/1827.224.0.1 to 27.224.63.25427.224.63.25516,382
227.224.64.0/1827.224.64.1 to 27.224.127.25427.224.127.25516,382
327.224.128.0/1827.224.128.1 to 27.224.191.25427.224.191.25516,382
427.224.192.0/1827.224.192.1 to 27.224.255.25427.224.255.25516,382
527.225.0.0/1827.225.0.1 to 27.225.63.25427.225.63.25516,382
627.225.64.0/1827.225.64.1 to 27.225.127.25427.225.127.25516,382
727.225.128.0/1827.225.128.1 to 27.225.191.25427.225.191.25516,382
827.225.192.0/1827.225.192.1 to 27.225.255.25427.225.255.25516,382
927.226.0.0/1827.226.0.1 to 27.226.63.25427.226.63.25516,382
1027.226.64.0/1827.226.64.1 to 27.226.127.25427.226.127.25516,382
1127.226.128.0/1827.226.128.1 to 27.226.191.25427.226.191.25516,382
1227.226.192.0/1827.226.192.1 to 27.226.255.25427.226.255.25516,382
1327.227.0.0/1827.227.0.1 to 27.227.63.25427.227.63.25516,382
1427.227.64.0/1827.227.64.1 to 27.227.127.25427.227.127.25516,382
1527.227.128.0/1827.227.128.1 to 27.227.191.25427.227.191.25516,382
1627.227.192.0/1827.227.192.1 to 27.227.255.25427.227.255.25516,382
1727.228.0.0/1827.228.0.1 to 27.228.63.25427.228.63.25516,382
1827.228.64.0/1827.228.64.1 to 27.228.127.25427.228.127.25516,382
1927.228.128.0/1827.228.128.1 to 27.228.191.25427.228.191.25516,382
2027.228.192.0/1827.228.192.1 to 27.228.255.25427.228.255.25516,382
2127.229.0.0/1827.229.0.1 to 27.229.63.25427.229.63.25516,382
2227.229.64.0/1827.229.64.1 to 27.229.127.25427.229.127.25516,382
2327.229.128.0/1827.229.128.1 to 27.229.191.25427.229.191.25516,382
2427.229.192.0/1827.229.192.1 to 27.229.255.25427.229.255.25516,382
2527.230.0.0/1827.230.0.1 to 27.230.63.25427.230.63.25516,382
2627.230.64.0/1827.230.64.1 to 27.230.127.25427.230.127.25516,382
2727.230.128.0/1827.230.128.1 to 27.230.191.25427.230.191.25516,382
2827.230.192.0/1827.230.192.1 to 27.230.255.25427.230.255.25516,382
2927.231.0.0/1827.231.0.1 to 27.231.63.25427.231.63.25516,382
3027.231.64.0/1827.231.64.1 to 27.231.127.25427.231.127.25516,382
3127.231.128.0/1827.231.128.1 to 27.231.191.25427.231.191.25516,382
3227.231.192.0/1827.231.192.1 to 27.231.255.25427.231.255.25516,382
3327.232.0.0/1827.232.0.1 to 27.232.63.25427.232.63.25516,382
3427.232.64.0/1827.232.64.1 to 27.232.127.25427.232.127.25516,382
3527.232.128.0/1827.232.128.1 to 27.232.191.25427.232.191.25516,382
3627.232.192.0/1827.232.192.1 to 27.232.255.25427.232.255.25516,382
3727.233.0.0/1827.233.0.1 to 27.233.63.25427.233.63.25516,382
3827.233.64.0/1827.233.64.1 to 27.233.127.25427.233.127.25516,382
3927.233.128.0/1827.233.128.1 to 27.233.191.25427.233.191.25516,382
4027.233.192.0/1827.233.192.1 to 27.233.255.25427.233.255.25516,382
4127.234.0.0/1827.234.0.1 to 27.234.63.25427.234.63.25516,382
4227.234.64.0/1827.234.64.1 to 27.234.127.25427.234.127.25516,382
4327.234.128.0/1827.234.128.1 to 27.234.191.25427.234.191.25516,382
4427.234.192.0/1827.234.192.1 to 27.234.255.25427.234.255.25516,382
4527.235.0.0/1827.235.0.1 to 27.235.63.25427.235.63.25516,382
4627.235.64.0/1827.235.64.1 to 27.235.127.25427.235.127.25516,382
4727.235.128.0/1827.235.128.1 to 27.235.191.25427.235.191.25516,382
4827.235.192.0/1827.235.192.1 to 27.235.255.25427.235.255.25516,382
4927.236.0.0/1827.236.0.1 to 27.236.63.25427.236.63.25516,382
5027.236.64.0/1827.236.64.1 to 27.236.127.25427.236.127.25516,382
5127.236.128.0/1827.236.128.1 to 27.236.191.25427.236.191.25516,382
5227.236.192.0/1827.236.192.1 to 27.236.255.25427.236.255.25516,382
5327.237.0.0/1827.237.0.1 to 27.237.63.25427.237.63.25516,382
5427.237.64.0/1827.237.64.1 to 27.237.127.25427.237.127.25516,382
5527.237.128.0/1827.237.128.1 to 27.237.191.25427.237.191.25516,382
5627.237.192.0/1827.237.192.1 to 27.237.255.25427.237.255.25516,382
5727.238.0.0/1827.238.0.1 to 27.238.63.25427.238.63.25516,382
5827.238.64.0/1827.238.64.1 to 27.238.127.25427.238.127.25516,382
5927.238.128.0/1827.238.128.1 to 27.238.191.25427.238.191.25516,382
6027.238.192.0/1827.238.192.1 to 27.238.255.25427.238.255.25516,382
6127.239.0.0/1827.239.0.1 to 27.239.63.25427.239.63.25516,382
6227.239.64.0/1827.239.64.1 to 27.239.127.25427.239.127.25516,382
6327.239.128.0/1827.239.128.1 to 27.239.191.25427.239.191.25516,382
6427.239.192.0/1827.239.192.1 to 27.239.255.25427.239.255.25516,382
6527.240.0.0/1827.240.0.1 to 27.240.63.25427.240.63.25516,382
6627.240.64.0/1827.240.64.1 to 27.240.127.25427.240.127.25516,382
6727.240.128.0/1827.240.128.1 to 27.240.191.25427.240.191.25516,382
6827.240.192.0/1827.240.192.1 to 27.240.255.25427.240.255.25516,382
6927.241.0.0/1827.241.0.1 to 27.241.63.25427.241.63.25516,382
7027.241.64.0/1827.241.64.1 to 27.241.127.25427.241.127.25516,382
7127.241.128.0/1827.241.128.1 to 27.241.191.25427.241.191.25516,382
7227.241.192.0/1827.241.192.1 to 27.241.255.25427.241.255.25516,382
7327.242.0.0/1827.242.0.1 to 27.242.63.25427.242.63.25516,382
7427.242.64.0/1827.242.64.1 to 27.242.127.25427.242.127.25516,382
7527.242.128.0/1827.242.128.1 to 27.242.191.25427.242.191.25516,382
7627.242.192.0/1827.242.192.1 to 27.242.255.25427.242.255.25516,382
7727.243.0.0/1827.243.0.1 to 27.243.63.25427.243.63.25516,382
7827.243.64.0/1827.243.64.1 to 27.243.127.25427.243.127.25516,382
7927.243.128.0/1827.243.128.1 to 27.243.191.25427.243.191.25516,382
8027.243.192.0/1827.243.192.1 to 27.243.255.25427.243.255.25516,382
8127.244.0.0/1827.244.0.1 to 27.244.63.25427.244.63.25516,382
8227.244.64.0/1827.244.64.1 to 27.244.127.25427.244.127.25516,382
8327.244.128.0/1827.244.128.1 to 27.244.191.25427.244.191.25516,382
8427.244.192.0/1827.244.192.1 to 27.244.255.25427.244.255.25516,382
8527.245.0.0/1827.245.0.1 to 27.245.63.25427.245.63.25516,382
8627.245.64.0/1827.245.64.1 to 27.245.127.25427.245.127.25516,382
8727.245.128.0/1827.245.128.1 to 27.245.191.25427.245.191.25516,382
8827.245.192.0/1827.245.192.1 to 27.245.255.25427.245.255.25516,382
8927.246.0.0/1827.246.0.1 to 27.246.63.25427.246.63.25516,382
9027.246.64.0/1827.246.64.1 to 27.246.127.25427.246.127.25516,382
9127.246.128.0/1827.246.128.1 to 27.246.191.25427.246.191.25516,382
9227.246.192.0/1827.246.192.1 to 27.246.255.25427.246.255.25516,382
9327.247.0.0/1827.247.0.1 to 27.247.63.25427.247.63.25516,382
9427.247.64.0/1827.247.64.1 to 27.247.127.25427.247.127.25516,382
9527.247.128.0/1827.247.128.1 to 27.247.191.25427.247.191.25516,382
9627.247.192.0/1827.247.192.1 to 27.247.255.25427.247.255.25516,382
9727.248.0.0/1827.248.0.1 to 27.248.63.25427.248.63.25516,382
9827.248.64.0/1827.248.64.1 to 27.248.127.25427.248.127.25516,382
9927.248.128.0/1827.248.128.1 to 27.248.191.25427.248.191.25516,382
10027.248.192.0/1827.248.192.1 to 27.248.255.25427.248.255.25516,382
10127.249.0.0/1827.249.0.1 to 27.249.63.25427.249.63.25516,382
10227.249.64.0/1827.249.64.1 to 27.249.127.25427.249.127.25516,382
10327.249.128.0/1827.249.128.1 to 27.249.191.25427.249.191.25516,382
10427.249.192.0/1827.249.192.1 to 27.249.255.25427.249.255.25516,382
10527.250.0.0/1827.250.0.1 to 27.250.63.25427.250.63.25516,382
10627.250.64.0/1827.250.64.1 to 27.250.127.25427.250.127.25516,382
10727.250.128.0/1827.250.128.1 to 27.250.191.25427.250.191.25516,382
10827.250.192.0/1827.250.192.1 to 27.250.255.25427.250.255.25516,382
10927.251.0.0/1827.251.0.1 to 27.251.63.25427.251.63.25516,382
11027.251.64.0/1827.251.64.1 to 27.251.127.25427.251.127.25516,382
11127.251.128.0/1827.251.128.1 to 27.251.191.25427.251.191.25516,382
11227.251.192.0/1827.251.192.1 to 27.251.255.25427.251.255.25516,382
11327.252.0.0/1827.252.0.1 to 27.252.63.25427.252.63.25516,382
11427.252.64.0/1827.252.64.1 to 27.252.127.25427.252.127.25516,382
11527.252.128.0/1827.252.128.1 to 27.252.191.25427.252.191.25516,382
11627.252.192.0/1827.252.192.1 to 27.252.255.25427.252.255.25516,382
11727.253.0.0/1827.253.0.1 to 27.253.63.25427.253.63.25516,382
11827.253.64.0/1827.253.64.1 to 27.253.127.25427.253.127.25516,382
11927.253.128.0/1827.253.128.1 to 27.253.191.25427.253.191.25516,382
12027.253.192.0/1827.253.192.1 to 27.253.255.25427.253.255.25516,382
12127.254.0.0/1827.254.0.1 to 27.254.63.25427.254.63.25516,382
12227.254.64.0/1827.254.64.1 to 27.254.127.25427.254.127.25516,382
12327.254.128.0/1827.254.128.1 to 27.254.191.25427.254.191.25516,382
12427.254.192.0/1827.254.192.1 to 27.254.255.25427.254.255.25516,382
12527.255.0.0/1827.255.0.1 to 27.255.63.25427.255.63.25516,382
12627.255.64.0/1827.255.64.1 to 27.255.127.25427.255.127.25516,382
12727.255.128.0/1827.255.128.1 to 27.255.191.25427.255.191.25516,382
12827.255.192.0/1827.255.192.1 to 27.255.255.25427.255.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses